compare File Reference

Go to the source code of this file.

## Classes

struct | std::compare_three_way_result< _Tp, _Up >

## Namespaces

namespace | std
namespace | std::__detail

## Macros

#define | __cpp_lib_three_way_comparison
#define | _COMPARE

## Typedefs

template<typename _Tp , typename _Up >
using | std::__detail::__cmp3way_res_t = decltype(std::declval< _Tp >()<=> std::declval< _Up >())
template<typename _Tp , typename _Up = _Tp>
using | std::__detail::__synth3way_t = decltype(__detail::__synth3way(std::declval< _Tp & >(), std::declval< _Up & >()))
template<typename... _Ts>
using | std::common_comparison_category_t = typename common_comparison_category< _Ts... >::type
template<typename _Tp , typename _Up = _Tp>
using | std::compare_three_way_result_t = typename __detail::__cmp3way_res_impl< _Tp, _Up >::type
using | std::__cmp_cat::type = signed char

## Enumerations

enum class | _Ncmp : type { _Unordered }
enum class | _Ord : type { equivalent , less , greater }

## Functions

template<typename... _Ts>
constexpr auto | std::__detail::__common_cmp_cat ()
template<floating_point _Tp>
constexpr weak_ordering | std::__cmp_cust::__fp_weak_ordering (_Tp __e, _Tp __f)
constexpr bool | std::is_eq (partial_ordering __cmp) noexcept
constexpr bool | std::is_gt (partial_ordering __cmp) noexcept
constexpr bool | std::is_gteq (partial_ordering __cmp) noexcept
constexpr bool | std::is_lt (partial_ordering __cmp) noexcept
constexpr bool | std::is_lteq (partial_ordering __cmp) noexcept
constexpr bool | std::is_neq (partial_ordering __cmp) noexcept

## Variables

template<typename _Tp >
constexpr unsigned | std::__detail::__cmp_cat_id
template<>
constexpr unsigned | std::__detail::__cmp_cat_id< partial_ordering >
template<>
constexpr unsigned | std::__detail::__cmp_cat_id< strong_ordering >
template<>
constexpr unsigned | std::__detail::__cmp_cat_id< weak_ordering >
constexpr struct std::__detail::_Synth3way | std::__detail::__synth3way
constexpr __cmp_cust::_Partial_fallback | std::compare_partial_order_fallback
constexpr __cmp_cust::_Strong_fallback | std::compare_strong_order_fallback
constexpr __cmp_cust::_Weak_fallback | std::compare_weak_order_fallback
constexpr __cmp_cust::_Partial_order | std::partial_order
constexpr __cmp_cust::_Strong_order | std::strong_order
constexpr __cmp_cust::_Weak_order | std::weak_order

## Detailed Description

This is a Standard C++ Library header.

Definition in file compare.

## Macro Definition Documentation

## __cpp_lib_three_way_comparison

#define __cpp_lib_three_way_comparison

Definition at line 40 of file compare.

## _COMPARE

#define _COMPARE

Definition at line 31 of file compare.

## Typedef Documentation

## type

using std::__cmp_cat::type = typedef signed char

Definition at line 49 of file compare.

## Enumeration Type Documentation

## _Ncmp

enum class std::__cmp_cat::_Ncmp : type

strong

Definition at line 53 of file compare.

## _Ord

enum class std::__cmp_cat::_Ord : type

strong

Definition at line 51 of file compare.

## Function Documentation

## __fp_weak_ordering()

template<floating_point _Tp>

constexpr weak_ordering std::__cmp_cust::__fp_weak_ordering | ( | _Tp | __e,
|  | _Tp | __f
| ) |  |

constexpr

Definition at line 573 of file compare.